/**
 * DevExtreme (bundles/__internal/grids/grid_core/keyboard_navigation/dom.js)
 * Version: 22.1.9
 * Build date: Tue Apr 18 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.GridCoreKeyboardNavigationDom = void 0;
var const_1 = require("./const");
var isDragCell = function($cell) {
    return void 0 !== $cell.attr(const_1.ATTRIBUTES.dragCell)
};
var getCellToFocus = function($cellElements, columnIndex) {
    return $cellElements.filter("[" + const_1.ATTRIBUTES.ariaColIndex + '="' + (columnIndex + 1) + '"]:not([' + const_1.ATTRIBUTES.dragCell + "])").first()
};
exports.GridCoreKeyboardNavigationDom = {
    isDragCell: isDragCell,
    getCellToFocus: getCellToFocus
};
