/**
 * DevExtreme (esm/__internal/grids/grid_core/keyboard_navigation/dom.js)
 * Version: 22.1.9
 * Build date: Tue Apr 18 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    ATTRIBUTES
} from "./const";
const isDragCell = $cell => void 0 !== $cell.attr(ATTRIBUTES.dragCell);
const getCellToFocus = ($cellElements, columnIndex) => $cellElements.filter(`[${ATTRIBUTES.ariaColIndex}="${columnIndex+1}"]:not([${ATTRIBUTES.dragCell}])`).first();
export const GridCoreKeyboardNavigationDom = {
    isDragCell: isDragCell,
    getCellToFocus: getCellToFocus
};
